#! /bin/bash

version=1.8.11
name=Botan-${version}
suffix=.tbz
newsuffix=.stripped.tbz
compr=bzip2

trap '${tmpfile:+rm ${tmpfile}}' EXIT
tmpfile=$(mktemp)

${compr} -cd ${name}${suffix} > ${tmpfile}

tar --delete --file=${tmpfile} Botan-${version}/src/block/idea
tar --delete --file=${tmpfile} Botan-${version}/src/block/rc6
tar --delete --file=${tmpfile} Botan-${version}/src/block/rc5
tar --delete --file=${tmpfile} Botan-${version}/src/math/gfpmath
tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/ec_dompar
tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/ecc_key
tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/ecdsa
tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/eckaeg

${compr} -c ${tmpfile} > ${name}${newsuffix}
